﻿<?php
/*
-------------PLACE THIS PART OF THE CODE IN THE <HEAD> SECTION OF YOUR WEBSITE------------------

/*
Version 3.1, 28-11-2014
Author J. den Haan
http://www.den-haan.net
before editing, read the manual!
*/

//include config file and functions
define("auth", true);
require("config.php");
require("functions.php");
?>
<link href="boek.css" rel="stylesheet" type="text/css" />

<!-------------------------END OF THE CODE IN THE <HEAD> SECTION OF YOUR WEBSITE----------------->


<!-------------PLACE THIS FORM IN THE <BODY> SECTION OF YOUR WEBSITE WHERE YOU WANT THE FORM TO APPEAR ----------------->

<form id="searchform" name="searchform" method="get">
  <input type="text" name="q" id="q" /><br />
  <?php if($config_searchoptions_title == true){ ?><input type="radio" name="s" value="title" checked><label>Titel</label><br /><?php } ?>
  <?php if($config_searchoptions_author == true){ ?><input type="radio" name="s" value="author"><label>Auteur</label><br /><?php } ?>
  <?php if($config_searchoptions_publisher == true){ ?><input type="radio" name="s" value="publisher"><label>Uitgever</label><br /><?php } ?>
  <?php if($config_searchoptions_nur == true){ ?><input type="radio" name="s" value="nur"><label>NUR code</label><br /><?php } ?>
  <?php if($config_searchoptions_geo == true){ ?> <input type="radio" name="s" value="geo"><label>Geografisch</label><br /><?php } ?>
  <input type="hidden" name="offset" value="0">
  <input type="submit" class="button" id="button" value ="Zoek" />
</form>
<!-------------END OF FORM IN THE <BODY> SECTION OF YOUR WEBSITE WHERE YOU WANT THE FORM TO APPEAR ----------------->


<!--------PLACE THIS PART OF THE CODE IN THE <BODY> SECTION OF YOUR WEBSITE WHERE YOU WANT TO DISPLAY THE LIST OF SEARCH RESULTS----------->
<?php
if(isset($_GET["q"]) && isset($_GET["s"]))
//start search in REST interface
{
	$value1 = strip_tags($_GET["q"]);
	$keys = getKey($_GET["s"]);
	$key1 = $keys[0];
	$flags1 = $keys[1];
	$offset = $_GET["offset"];
	$list = getBookList($key1, $value1, $flags1, $config_base_url, $config_limit, $config_debug);
	$results = count($list);
	
	// display paging when more than $config_limit books are found
	echo "<b>";
	if($offset >= $config_max_per_page)
	{
		$o = $offset - $config_max_per_page;
		echo "<a href='zoek.php?offset=$o&q=$value1&s=$s'>vorige</a> | ";
	}
	if($results<($offset+$config_max_per_page))
	{
		$to = $results;
	}
	else
	{
		$to = ($offset+$config_max_per_page);
	}
	echo  $offset . " tot ".$to." van ". $results . " boek(en)</b>";
	if($results > $config_max_per_page && ($results-$offset)>= $config_max_per_page)
	{
		$o = $offset + $config_max_per_page;
		echo " | <a href='zoek.php?offset=$o&q=$value1&s=$s'>volgende</a>";
	}
	echo "<hr>";
	
	//display list of books with links to book_detail.php
	for ($n = $offset; $n < $results; $n++)
	{
		echo "<div class='book'>";
		//display image or image of missing cover
		if($list["$n"]["img"]!="")
		{
			echo "<div class='image'><img src='".$list["$n"]["img"]."' width='100'></div>";
		}
		else
		{
			echo "<div class='image'><img src='missing_cover.jpg' width='100'></div>";
		}
		echo "<div class='bookdata'>";
		echo "<span class='title'><a href='boekdetails.php?ref=".$list["$n"]["url"]."'>".$list["$n"]["title"]."</a></span><br />";
		if(isset($list["$n"]["auteur"])){
			echo "<span class='author'>Auteur: ".$list["$n"]["auteur"]."</span><br />";
		}
		if(isset($list["$n"]["vertaler"])){
		echo "<span class='translator'>Vertaling: ".$list["$n"]["vertaler"]."</span><br />";
		}
		if(isset($list["$n"]["illustrator"])){
		echo "<span class='illustrator'>illustrator: ".$list["$n"]["illustrator"]."</span><br />";
		}
		if($list["$n"]["isbn"]!="")
		{
			echo "<br /><span class='isbn'>ISBN nummer: ".$list["$n"]["isbn"]."</span>";
		}
		if($list["$n"]["adviesprijs"]!="")
		{
			$adv = ($list["$n"]["adviesprijs"]/100);
			$prijs = number_format ( $adv , $decimals = 2 , $dec_point = "," , $thousands_sep = "." );
			echo "<br /><span class='prijs'>Adviesprijs: &euro;".$prijs."</span>";
		}
		echo "   </div>";
		echo "</div>";
	}
}
?>